Subject: RE: (usr-tc) Backing up NMC and ARC configs

From: Ian Quinn <[email-masked]>
Date: Thu, 20 Jan 2000 01:52:45 +0000

You could try HiPer ARC Manager (HARM) or the bulk configuration file
facility.  Some commands for the bulk config file approach:

	save configuration	saves the configuration to a file (eg
ConfigBulkFile)
	set bulk_file		changes the bulk config file name
	reset configuration	restores the config from the bulk file (eg
after uploading)

I recall that you need to do a reboot after restoring the config as reset
config only loads it onto flash, and doesn't replace the working config (at
least on 4.1.x).  Doing a save all will overwrite the flash config with the
config in memory (eg if you want to undo a reset, do a save all).

TFTP can be used to shift the file on and off the HARC flash.  It's a binary
file, so use the binary mode.

It would be best to try it all out before you need it :-)

Regards

Ian Quinn
InterConnect Ltd

Phone: (64 4) 494 1144      Fax: (64 4) 494 1140        Mobile: (64 25) 2477
608
Street: Level 2, 5-7 Willeston Street, Wellington
Postal: PO Box 5527, Lambton Quay, Wellington
E.Mail: [email-masked]
http://www.interconnect.co.nz

> -----Original Message-----
> From:	Charles Sprickman [SMTP:[email-masked]]
> Sent:	Thursday, January 20, 2000 12:00 PM
> To:	[email-masked]
> Subject:	Re: (usr-tc) Backing up NMC and ARC configs
> 
> On Thu, 20 Jan 2000, Campbell Simpson wrote:
> 
> > Hi all
> > 
> > Just following on from the ARC tftp upload thread, does anyone have an
> cunning way to backup and restore the full config of an NMC or ARC card. 
> 
> Not to be an ass, but since I never found a way, I initially ran a script
> of my first config and saved it out as a file.  Whenever I make any
> changes, I also make it to this file.  So far, it's made configuring new
> ARCs extremely easy...
> 
> Now of course a single config file like a Cisco has would be wonderful, as
> it makes it super easy to back things up.  Long ago I tftp'd down all the
> files I could grab off the thing and really couldn't find a single file
> with all settings...
> 
> Charles
>  
> > Its a real pain if you have to swap out cards and re-configure the cards
> manually.
> > 
> > Cheers
> > 
> > Campbell
> > 
> > 
> > -
> >  To unsubscribe to usr-tc, send an email to "[email-masked]"
> >  with "unsubscribe usr-tc" in the body of the message.
> >  For information on digests or retrieving files and old messages send
> >  "help" to the same address.  Do not use quotes in your message.
> > 
> 
> 
> -
>  To unsubscribe to usr-tc, send an email to "[email-masked]"
>  with "unsubscribe usr-tc" in the body of the message.
>  For information on digests or retrieving files and old messages send
>  "help" to the same address.  Do not use quotes in your message.

-
 To unsubscribe to usr-tc, send an email to "[email-masked]"
 with "unsubscribe usr-tc" in the body of the message.
 For information on digests or retrieving files and old messages send
 "help" to the same address.  Do not use quotes in your message.